Bug 140347 - security/dirmngr needs updated BUILD_DEPENDS requirements
Summary: security/dirmngr needs updated BUILD_DEPENDS requirements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-06 20:30 UTC by Craig Green
Modified: 2009-11-28 05:12 UTC (History)
0 users

See Also:


Attachments
file.diff (581 bytes, patch)
2009-11-06 20:30 UTC, Craig Green
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Green 2009-11-06 20:30:01 UTC
I ran into trouble installing the dirmngr 1.0.3 port today.  Configure died when it claimed that libassuan needed to be installed:

--------------------------

configure:
***
*** You need libassuan to build this program.
*** This library is for example available at
***   ftp://ftp.gnupg.org/pub/gcrypt/libassuan/
*** (at least version 1.0.4 is required).
*** Note, that libassuan must have been build with Pth support.
***
configure: error:
***
*** Required libraries not found. Please consult the above messages
*** and install them before running configure again.
***
===>  Script "configure" failed unexpectedly.
Please report the problem to umq@ueo.co.jp [maintainer] and attach the
"/usr/ports/security/dirmngr/work/dirmngr-1.0.3/config.log" including the
output of the failure of your make command. Also, it might be a good idea to
provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1


--------------------------


However, libassuan actually is installed:


--------------------------

cgreen:Jade:/usr/ports/security/dirmngr# pkg_info | grep libass
libassuan-1.0.1     IPC library used by GnuPG and gpgme

--------------------------


The port Makefile also detects it:


--------------------------


cgreen:Jade:/usr/ports/security/dirmngr# make
===>  Extracting for dirmngr-1.0.3
=> MD5 Checksum OK for dirmngr-1.0.3.tar.bz2.
=> SHA256 Checksum OK for dirmngr-1.0.3.tar.bz2.
===>  Patching for dirmngr-1.0.3
===>   dirmngr-1.0.3 depends on file: /usr/local/lib/libassuan.a - found
===>   dirmngr-1.0.3 depends on executable: gmake - found
===>   dirmngr-1.0.3 depends on shared library: gcrypt.16 - found
===>   dirmngr-1.0.3 depends on shared library: gpg-error.0 - found


--------------------------


Peeking at the port's Makefile shows just a generic, non-version specific BUILD_DEPENDS line:


--------------------------

BUILD_DEPENDS=  ${LOCALBASE}/lib/libassuan.a:${PORTSDIR}/security/libassuan


--------------------------

Fix: Looks like you need to update the port to check for a version of libassuan greater than or equal to 1.0.4, as dirmngr's configure states.


e.g.

BUILD_DEPENDS=  libassuan>=1.0.4:${PORTSDIR}/security/libassuan


If I make that modification to the Makefile, the dirmngr install will error out when I only have version 1.0.1 of libassuan installed, and install successfully after I upgrade to 1.0.5 of libassuan.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-11-06 20:30:09 UTC
Maintainer of security/dirmngr,

Please note that PR ports/140347 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140347

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-11-06 20:30:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Hirohisa Yamaguchi 2009-11-24 17:43:42 UTC
Hi,

Specifying version number in BUILD_DEPENDS is required,
as in the PR.

The patch looks okay;
security/gnupg has the same BUILD_DEPENDS line.


Thanks.

At Fri, 6 Nov 2009 20:30:09 UT,
Edwin Groothuis wrote:
> 
> Maintainer of security/dirmngr,
> 
> Please note that PR ports/140347 has just been submitted.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140347

-- 

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-11-24 20:07:36 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 dfilter service freebsd_committer 2009-11-28 05:09:34 UTC
wen         2009-11-28 05:09:25 UTC

  FreeBSD ports repository

  Modified files:
    security/dirmngr     Makefile 
  Log:
  - Updated BUILD_DEPENDS requirements
  
  PR:             ports/140347
  Submitted by:   Craig Green <cgreen@sentex.net>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.40      +1 -1      ports/security/dirmngr/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Wen Heping freebsd_committer 2009-11-28 05:12:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!